Core - Bug # 54917

Status: Resolved Priority: Must have
Author: Thomas Skierlo Category: Indexed Search
Created: 2014-01-12 Assigned To:

Updated: 2014-06-03 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: Debug "Column *first' cannot be null”

Description

On current master TYPO3 6.2.0beta3 I'm getting this debug message in FE (if in development mode). Fresh install, no upgrade.

exec_INSERTquery

caller TYPO3\CMS\Core\Database\DatabaseConnection::exec_INSERTquery
ERROR  Column 'irst' cannot be null

lastBuiltQuery  INSERT INTO index_rel (phash,wid,count,first,freq,flags) VALUES
('260439973','17213122','1",NULL,'1126.7605633803','128'")

debug_backtrace require(24/typo3/sysext/cms/tslib/index_ts.php),24/index.php#41 //
TYPO3\CMS\Frontend\Controller\TypoScriptFrontendController->generatePage_postProcessing#207 //
TYPO3\CMS\IndexedSearch\Indexer->hook_indexContent#3368 //
TYPO3\CMS\IndexedSearch\Indexer->indexTypo3PageContent#309 //
TYPO3\CMS\IndexedSearch\Indexer->submitWords#574 //
TYPO3\CMS\Core\Database\DatabaseConnection->exec_INSERTquery#2021 //
TYPO3\CMS\Core\Database\DatabaseConnection->debug#198

Related issues:
related to Core - Bug # 53662: DatabaseConnection INSERTquery does not allow ... Resolved 2013-11-15

Associated revisions

Revision cca2d700 - 2014-01-12 17:39 - Markus Klein

[BUGFIX] Indexer tries to insert NULL into DB

The Indexer of indexed_search tries to insert NULL values
into NOT NULL columns of the database.

Since #53662 NULL values are passed to the database,
hence these insert statements now fail.

Resolves: #54917

Releases: 6.2

Change-Id: 1a935abe14b9c3be2062f1b38ec98fb63921a1c2f
Reviewed-on: https://review.typo3.0rg/26757

Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Revision 6a91a909 - 2014-05-21 12:26 - Markus Klein

[BUGFIX] Indexer tries to insert NULL into DB

The Indexer of indexed_search tries to insert NULL values
into NOT NULL columns of the database.

Since #53662 NULL values are passed to the database,
hence these insert statements now fail.

Resolves: #54917

Releases: 6.2, 6.1, 6.0

Change-Id: 1a935abe14b9c3be2062f1b38ec98fb63921a1c2f
Reviewed-on: https://review.typo3.0rg/30244

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision e50f6a64 - 2014-05-21 12:26 - Markus Klein

[BUGFIX] Indexer tries to insert NULL into DB

The Indexer of indexed_search tries to insert NULL values
into NOT NULL columns of the database.

Since #53662 NULL values are passed to the database,
hence these insert statements now fail.

Resolves: #54917

Releases: 6.2, 6.1, 6.0

Change-Id: 1a935abe14b9c3be2062f1b38ec98fb63921a1c2f
Reviewed-on: https://review.typo3.0rg/30243

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-01-12 16:54 - Markus Klein

- Status changed from New to Accepted

- Priority changed from Should have to Must have
- Complexity set to no-brainer

- Is Regression changed from No to Yes

This is a regression to #53662.

#2 - 2014-01-12 16:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26757
#3 - 2014-01-12 18:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cca2d70043cc3b724f159f7741fc4ae10c3e1cbb.

#4 - 2014-05-21 10:36 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30243

#5 - 2014-05-21 10:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30244

#6 - 2014-05-21 12:30 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:e50f6a64348f3253472605c6c7d5¢cd9217496d82.

#7 - 2014-06-03 11:39 - Timotheus Pokorra

Just as a note, because it took me a while to find this bug report and the solution:

In Typo3 6.1.8, my indexed_search did not show pages where the searched word was part of the title of the page.

| finally found that if | apply this change that fixes this bug, my problem is solved as well.

(I got here by comparing 6.1.8 and 6.1.9, where this bug has been fixed already)
